Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum ErrorLog.Error

    java.lang.Object
      java.lang.Enum<ErrorLog.Error>
          nl.liacs.subdisc.ErrorLog.Error

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ErrorLog.Error>

Enclosing class:
  ErrorLog

    public static enum ErrorLog.Error

extends java.lang.Enum<ErrorLog.Error>

Enum Constant Summary
`ATTRIBUTE_TYPE_UNKNOWN`
`FILE_NOT_FOUND`
`IOEXCEPTION`
`TARGET_TYPE_UNKNOWN`

Field Summary
`java.lang.String` | `TEXT`

Method Summary
`static java.lang.String` | `getErrorDescription(java.lang.Throwable theThrowable)`
`static ErrorLog.Error` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ErrorLog.Error[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ATTRIBUTE_TYPE_UNKNOWN

    public static final ErrorLog.Error ATTRIBUTE_TYPE_UNKNOWN

### TARGET_TYPE_UNKNOWN

    public static final ErrorLog.Error TARGET_TYPE_UNKNOWN

### FILE_NOT_FOUND

    public static final ErrorLog.Error FILE_NOT_FOUND

### IOEXCEPTION

    public static final ErrorLog.Error IOEXCEPTION

Field Detail

### TEXT

    public final java.lang.String TEXT

Method Detail

### values

    public static ErrorLog.Error[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ErrorLog.Error c : ErrorLog.Error.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ErrorLog.Error valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getErrorDescription

    public static java.lang.String getErrorDescription(java.lang.Throwable theThrowable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD